# Build docker image

    % cd <app source directory>
    % docker build --tag mahesh/mma-ask-app .

# Run docker container

    % docker run --publish 49330:3000 --detach

# Manage docker containers

* List running containers

```
    % docker ps
    CONTAINER ID        IMAGE                COMMAND                  CREATED             STATUS              PORTS                     NAMES
    d511b20c73d6        mahesh/mma-ask-app   "docker-entrypoint.s…"   8 minutes ago       Up 8 minutes        0.0.0.0:49330->3000/tcp   upbeat_lederberg
```

* List all docker containrs

```
    % docker ps --all
    CONTAINER ID        IMAGE                COMMAND                  CREATED             STATUS                       PORTS               NAMES
    d511b20c73d6        mahesh/mma-ask-app   "docker-entrypoint.s…"   12 minutes ago      Exited (137) 3 minutes ago                       upbeat_lederberg
    % docker ps --all --quiet
    d511b20c73d6
```

* Stop a running container

```
    % docker stop d511b20c73d6
```

* Remove a container

```
    % docker rm d511b20c73d6
```